Loading...
Searching...
No Matches
XrdTcpMonPin.hh File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | XrdTcpMonPin::LinkInfo
class | XrdTcpMonPin

## Class Documentation

## XrdTcpMonPin::LinkInfo

struct XrdTcpMonPin::LinkInfo

Produce monitoring information upon connection termination.

Parameters

  netInfo | Reference to the network object associated with link.
  lnkInfo | Reference to link-specific information.
  liLen | Byte length of lnkInfo being passed.

Definition at line 59 of file XrdTcpMonPin.hh.

Collaboration diagram for XrdTcpMonPin::LinkInfo:

Class Members
long long | bytesIn | Bytes read from the socket.
long long | bytesOut | Bytes written to the socket.
int | consec | Seconds connected.
int | fd | Socket file descriptor.
const char * | tident | Pointer to the client's trace identifier.